#include <stdio.h>

main()          /* Tabelle der Quadratzahlen */
{
   int anf, ende, spanz; 

   printf("Berechnung der Quadratzahlen von: "); 
   scanf("%d", &anf);
   printf("Berechnung der Quadratzahlen bis: "); 
   scanf("%d", &ende);
   printf("Anzahl der Spalten fuer Ausgabe : "); 
   scanf("%d", &spanz);
   putchar('\n');
   while(anf <= ende) {
      printf("%3d x %3d = %6d ", anf, anf, anf*anf);
      if (anf % spanz)
           printf("    ");
        else
           putchar('\n');
      anf = anf + 1;
   }
   putchar('\n');
}
